%define prefix /usr
%define name Touchpad-solution
%define shortname t_solutions
%define version 0.1.4
%define release %mkrel 1
%define url http://www.pclinuxos.com/forum/index.php/topic,93782.0.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Other
URL:		%{url}
Source:		%{name}.tar.xz
Summary:	TouchPad Solutions (touchpad problem)
Summary(de):	Touchpad Lösungen (bei Probleme) 
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gtkdialog
Obsoletes:	%name < %version
BuildArch:	noarch

%description
Simple GUI solution...
Getting your touchpad working properly seems to be a bit tricky with xorg 1.10.2. 
The control file for your touchpad is called 50-synaptics.conf and is located in 
the /etc/X11/xorg.conf.d folder. I have set this file up in default mode with the 
x11-driver-input-synaptics-1.4.1-2pclos2011.i586.rpm package mainly because I'm 
tired of tinking with the default config file. Seems if I set in one way it works 
for some people and not for others. So here are some possible solutions for you. 
One of these should work for you.


#german
%description -l de
Eine einfache GUI Lösung...
Wenn Ihr Touchpad bisher einwandfrei zu arbeiten schien, ist es nun ein bisschen
schwieriger mit der neuen xorg Version 1.10.2.
Die Konfigurationsdatei für Ihr Touchpad lautet 50-synaptics.conf und ist im
/etc/X11/xorg.conf.d Ordner gespeichert. Ich habe diese Datei im Standard-Modus 
belassen im x11-driver-input-synaptics-1.4.1-2pclos2011.i586.rpm Paket vor allem 
deswegen, weil ich es Leid bin, diese ständig zu ändern. Den für den einen scheint 
es zu gehen und für den anderen im Gegenzug nicht. Also bekommen Sie hier mögliche 
Lösungen für die Konfiguration. Eine dieser Lösung wird auch für Sie funktionieren. 



%prep

%setup -q -n %{name}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{shortname} $RPM_BUILD_ROOT%{_bindir}
install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 touchpad_s.png %buildroot%_datadir/icons/touchpad_s.png
install -d -m 0755 %buildroot%_datadir/Touchpad-Solutions
install -m 0644 solution* %buildroot%_datadir/Touchpad-Solutions/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Fix Touchpad
Name[de]=Touchpad fixen
Comment=TouchPad Solutions (touchpad problem)
Comment[de]=Touchpad Lösungen (bei Probleme)
Exec=%{shortname}
Icon=touchpad_s.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{shortname}.mo $RPM_BUILD_DIR/%{name}/languages/%{shortname}-de_DE.po



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/t_solutions
%{_datadir}/icons/touchpad_s.png
%{_datadir}/applications/%{name}.desktop
%_datadir/Touchpad-Solutions/solution*
%{_datadir}/locale/*
#%doc COPYING

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Nov 22 2012 daniel <meisssw01 at gmail.com> 0.1.4-1leiche2012
- edit desktop file 

* Tue Nov 12 2012 daniel <meisssw01 at gmail.com> 0.1.3-1leiche2012
- moved touchpadfix.sh to initscript package...

* Sat Oct 27 2012 daniel <meisssw01 at gmail.com> 0.1.2-1leiche2012
- rewrite gui for current gtkdialog

* Mon Sep 24 2012 daniel <meisssw01 at gmail.com> 0.1.1-1leiche2012
- added auto function, with help of a script from ghostbunny.

* Sun Feb 05 2012 leiche <meisssw01 at gmail.com> 0.1.0-1pclos2012
- initial package
